## osmo-trx 1.7.0.202409022026

=== debian/changelog ===
osmo-trx (1.7.0.202409022026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 02 Sep 2024 20:27:11 +0000

=== debian/control ===
Source: osmo-trx
Section: net
Priority: optional
Maintainer: Osmocom team <openbsc@lists.osmocom.org>
Build-Depends: debhelper (>= 10),
               autotools-dev,
               autoconf-archive,
               pkg-config,
               dh-autoreconf,
               libuhd-dev,
               libusb-1.0-0-dev,
               libboost-all-dev,
               libfftw3-dev,
               libtalloc-dev,
               libusrp-dev,
               liblimesuite-dev,
               libbladerf-dev,
               libosmocore-dev (>= 1.10.0),
               osmo-gsm-manuals-dev (>= 1.6.0)
Standards-Version: 3.9.6
Vcs-Browser: https://gitea.osmocom.org/cellular-infrastructure/osmo-trx
Vcs-Git: https://gitea.osmocom.org/cellular-infrastructure/osmo-trx
Homepage: https://projects.osmocom.org/projects/osmotrx

Package: osmo-trx
Depends: osmocom-nightly (= 202409022026), osmo-trx-uhd
Architecture: all
Description: Metapackage for osmo-trx-uhd

Package: osmo-trx-dbg
Architecture: any
Section: debug
Priority: extra
Depends: osmocom-nightly (= 202409022026), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for the osmo-trx-*
 Make debugging possible

Package: osmo-trx-uhd
Architecture: any
Depends: osmocom-nightly (= 202409022026), ${shlibs:Depends}, ${misc:Depends}
Description: SDR transceiver that implements Layer 1 of a GSM BTS (UHD)
 OsmoTRX is a software-defined radio transceiver that implements the Layer 1
 physical layer of a BTS comprising the following 3GPP specifications:
 .
 TS 05.01 "Physical layer on the radio path"
 TS 05.02 "Multiplexing and Multiple Access on the Radio Path"
 TS 05.04 "Modulation"
 TS 05.10 "Radio subsystem synchronization"
 .
 In this context, BTS is "Base transceiver station". It's the stations that
 connect mobile phones to the mobile network.
 .
 3GPP is the "3rd Generation Partnership Project" which is the collaboration
 between different telecommunication associations for developing new
 generations of mobile phone networks. (post-2G/GSM)

Package: osmo-trx-usrp1
Architecture: any
Depends: osmocom-nightly (= 202409022026), ${shlibs:Depends}, ${misc:Depends}
Description: SDR transceiver that implements Layer 1 of a GSM BTS (USRP1)
 OsmoTRX is a software-defined radio transceiver that implements the Layer 1
 physical layer of a BTS comprising the following 3GPP specifications:
 .
 TS 05.01 "Physical layer on the radio path"
 TS 05.02 "Multiplexing and Multiple Access on the Radio Path"
 TS 05.04 "Modulation"
 TS 05.10 "Radio subsystem synchronization"
 .
 In this context, BTS is "Base transceiver station". It's the stations that
 connect mobile phones to the mobile network.
 .
 3GPP is the "3rd Generation Partnership Project" which is the collaboration
 between different telecommunication associations for developing new
 generations of mobile phone networks. (post-2G/GSM)

Package: osmo-trx-lms
Architecture: any
Depends: osmocom-nightly (= 202409022026), ${shlibs:Depends}, ${misc:Depends}
Description: SDR transceiver that implements Layer 1 of a GSM BTS (LimeSuite)
 OsmoTRX is a software-defined radio transceiver that implements the Layer 1
 physical layer of a BTS comprising the following 3GPP specifications:
 .
 TS 05.01 "Physical layer on the radio path"
 TS 05.02 "Multiplexing and Multiple Access on the Radio Path"
 TS 05.04 "Modulation"
 TS 05.10 "Radio subsystem synchronization"
 .
 In this context, BTS is "Base transceiver station". It's the stations that
 connect mobile phones to the mobile network.
 .
 3GPP is the "3rd Generation Partnership Project" which is the collaboration
 between different telecommunication associations for developing new
 generations of mobile phone networks. (post-2G/GSM)

Package: osmo-trx-ipc
Architecture: any
Depends: osmocom-nightly (= 202409022026), ${shlibs:Depends}, ${misc:Depends}
Description: SDR transceiver that implements Layer 1 of a GSM BTS (generic IPC)
 OsmoTRX is a software-defined radio transceiver that implements the Layer 1
 physical layer of a BTS comprising the following 3GPP specifications:
 .
 TS 05.01 "Physical layer on the radio path"
 TS 05.02 "Multiplexing and Multiple Access on the Radio Path"
 TS 05.04 "Modulation"
 TS 05.10 "Radio subsystem synchronization"
 .
 In this context, BTS is "Base transceiver station". It's the stations that
 connect mobile phones to the mobile network.
 .
 3GPP is the "3rd Generation Partnership Project" which is the collaboration
 between different telecommunication associations for developing new
 generations of mobile phone networks. (post-2G/GSM)

Package: osmo-trx-ms-blade
Architecture: any
Depends: osmocom-nightly (= 202409022026), ${shlibs:Depends}, ${misc:Depends}
Description: MS side transceiver (bladeRF)
 OsmoTRX is a software-defined radio transceiver that implements the Layer 1
 physical layer of a BTS comprising the following 3GPP specifications:
 .
 TS 05.01 "Physical layer on the radio path"
 TS 05.02 "Multiplexing and Multiple Access on the Radio Path"
 TS 05.04 "Modulation"
 TS 05.10 "Radio subsystem synchronization"
 .
 In this context, BTS is "Base transceiver station". It's the stations that
 connect mobile phones to the mobile network.
 .
 3GPP is the "3rd Generation Partnership Project" which is the collaboration
 between different telecommunication associations for developing new
 generations of mobile phone networks. (post-2G/GSM)

Package: osmo-trx-doc
Architecture: all
Section: doc
Priority: optional
Depends: osmocom-nightly (= 202409022026), ${misc:Depends}
Description: ${misc:Package} PDF documentation
 Various manuals: user manual, VTY reference manual and/or
 protocol/interface manuals.

## osmo-trx 1.7.0.202409032026

=== debian/changelog ===
osmo-trx (1.7.0.202409032026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 03 Sep 2024 20:27:13 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Homepage: https://projects.osmocom.org/projects/osmotrx
 
 Package: osmo-trx
-Depends: osmocom-nightly (= 202409022026), osmo-trx-uhd
+Depends: osmocom-nightly (= 202409032026), osmo-trx-uhd
 Architecture: all
 Description: Metapackage for osmo-trx-uhd
 
@@ -31,13 +31,13 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-nightly (= 202409022026), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202409032026), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for the osmo-trx-*
  Make debugging possible
 
 Package: osmo-trx-uhd
 Architecture: any
-Depends: osmocom-nightly (= 202409022026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409032026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (UHD)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -56,7 +56,7 @@
 
 Package: osmo-trx-usrp1
 Architecture: any
-Depends: osmocom-nightly (= 202409022026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409032026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (USRP1)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -75,7 +75,7 @@
 
 Package: osmo-trx-lms
 Architecture: any
-Depends: osmocom-nightly (= 202409022026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409032026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (LimeSuite)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -94,7 +94,7 @@
 
 Package: osmo-trx-ipc
 Architecture: any
-Depends: osmocom-nightly (= 202409022026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409032026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (generic IPC)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -113,7 +113,7 @@
 
 Package: osmo-trx-ms-blade
 Architecture: any
-Depends: osmocom-nightly (= 202409022026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409032026), ${shlibs:Depends}, ${misc:Depends}
 Description: MS side transceiver (bladeRF)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -134,7 +134,7 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202409022026), ${misc:Depends}
+Depends: osmocom-nightly (= 202409032026), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
  Various manuals: user manual, VTY reference manual and/or
  protocol/interface manuals.

## osmo-trx 1.7.0.202409042026

=== debian/changelog ===
osmo-trx (1.7.0.202409042026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 04 Sep 2024 20:27:13 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Homepage: https://projects.osmocom.org/projects/osmotrx
 
 Package: osmo-trx
-Depends: osmocom-nightly (= 202409032026), osmo-trx-uhd
+Depends: osmocom-nightly (= 202409042026), osmo-trx-uhd
 Architecture: all
 Description: Metapackage for osmo-trx-uhd
 
@@ -31,13 +31,13 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-nightly (= 202409032026), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202409042026), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for the osmo-trx-*
  Make debugging possible
 
 Package: osmo-trx-uhd
 Architecture: any
-Depends: osmocom-nightly (= 202409032026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409042026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (UHD)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -56,7 +56,7 @@
 
 Package: osmo-trx-usrp1
 Architecture: any
-Depends: osmocom-nightly (= 202409032026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409042026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (USRP1)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -75,7 +75,7 @@
 
 Package: osmo-trx-lms
 Architecture: any
-Depends: osmocom-nightly (= 202409032026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409042026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (LimeSuite)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -94,7 +94,7 @@
 
 Package: osmo-trx-ipc
 Architecture: any
-Depends: osmocom-nightly (= 202409032026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409042026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (generic IPC)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -113,7 +113,7 @@
 
 Package: osmo-trx-ms-blade
 Architecture: any
-Depends: osmocom-nightly (= 202409032026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409042026), ${shlibs:Depends}, ${misc:Depends}
 Description: MS side transceiver (bladeRF)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -134,7 +134,7 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202409032026), ${misc:Depends}
+Depends: osmocom-nightly (= 202409042026), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
  Various manuals: user manual, VTY reference manual and/or
  protocol/interface manuals.

## osmo-trx 1.7.0.202409052026

=== debian/changelog ===
osmo-trx (1.7.0.202409052026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 05 Sep 2024 20:27:12 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Homepage: https://projects.osmocom.org/projects/osmotrx
 
 Package: osmo-trx
-Depends: osmocom-nightly (= 202409042026), osmo-trx-uhd
+Depends: osmocom-nightly (= 202409052026), osmo-trx-uhd
 Architecture: all
 Description: Metapackage for osmo-trx-uhd
 
@@ -31,13 +31,13 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-nightly (= 202409042026), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202409052026), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for the osmo-trx-*
  Make debugging possible
 
 Package: osmo-trx-uhd
 Architecture: any
-Depends: osmocom-nightly (= 202409042026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409052026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (UHD)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -56,7 +56,7 @@
 
 Package: osmo-trx-usrp1
 Architecture: any
-Depends: osmocom-nightly (= 202409042026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409052026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (USRP1)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -75,7 +75,7 @@
 
 Package: osmo-trx-lms
 Architecture: any
-Depends: osmocom-nightly (= 202409042026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409052026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (LimeSuite)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -94,7 +94,7 @@
 
 Package: osmo-trx-ipc
 Architecture: any
-Depends: osmocom-nightly (= 202409042026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409052026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (generic IPC)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -113,7 +113,7 @@
 
 Package: osmo-trx-ms-blade
 Architecture: any
-Depends: osmocom-nightly (= 202409042026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409052026), ${shlibs:Depends}, ${misc:Depends}
 Description: MS side transceiver (bladeRF)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -134,7 +134,7 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202409042026), ${misc:Depends}
+Depends: osmocom-nightly (= 202409052026), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
  Various manuals: user manual, VTY reference manual and/or
  protocol/interface manuals.

## osmo-trx 1.7.0.202409062026

=== debian/changelog ===
osmo-trx (1.7.0.202409062026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 06 Sep 2024 20:27:13 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Homepage: https://projects.osmocom.org/projects/osmotrx
 
 Package: osmo-trx
-Depends: osmocom-nightly (= 202409052026), osmo-trx-uhd
+Depends: osmocom-nightly (= 202409062026), osmo-trx-uhd
 Architecture: all
 Description: Metapackage for osmo-trx-uhd
 
@@ -31,13 +31,13 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-nightly (= 202409052026), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202409062026), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for the osmo-trx-*
  Make debugging possible
 
 Package: osmo-trx-uhd
 Architecture: any
-Depends: osmocom-nightly (= 202409052026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409062026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (UHD)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -56,7 +56,7 @@
 
 Package: osmo-trx-usrp1
 Architecture: any
-Depends: osmocom-nightly (= 202409052026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409062026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (USRP1)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -75,7 +75,7 @@
 
 Package: osmo-trx-lms
 Architecture: any
-Depends: osmocom-nightly (= 202409052026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409062026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (LimeSuite)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -94,7 +94,7 @@
 
 Package: osmo-trx-ipc
 Architecture: any
-Depends: osmocom-nightly (= 202409052026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409062026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (generic IPC)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -113,7 +113,7 @@
 
 Package: osmo-trx-ms-blade
 Architecture: any
-Depends: osmocom-nightly (= 202409052026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409062026), ${shlibs:Depends}, ${misc:Depends}
 Description: MS side transceiver (bladeRF)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -134,7 +134,7 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202409052026), ${misc:Depends}
+Depends: osmocom-nightly (= 202409062026), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
  Various manuals: user manual, VTY reference manual and/or
  protocol/interface manuals.

## osmo-trx 1.7.0.202409072026

=== debian/changelog ===
osmo-trx (1.7.0.202409072026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 07 Sep 2024 20:27:14 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Homepage: https://projects.osmocom.org/projects/osmotrx
 
 Package: osmo-trx
-Depends: osmocom-nightly (= 202409062026), osmo-trx-uhd
+Depends: osmocom-nightly (= 202409072026), osmo-trx-uhd
 Architecture: all
 Description: Metapackage for osmo-trx-uhd
 
@@ -31,13 +31,13 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-nightly (= 202409062026), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202409072026), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for the osmo-trx-*
  Make debugging possible
 
 Package: osmo-trx-uhd
 Architecture: any
-Depends: osmocom-nightly (= 202409062026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409072026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (UHD)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -56,7 +56,7 @@
 
 Package: osmo-trx-usrp1
 Architecture: any
-Depends: osmocom-nightly (= 202409062026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409072026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (USRP1)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -75,7 +75,7 @@
 
 Package: osmo-trx-lms
 Architecture: any
-Depends: osmocom-nightly (= 202409062026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409072026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (LimeSuite)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -94,7 +94,7 @@
 
 Package: osmo-trx-ipc
 Architecture: any
-Depends: osmocom-nightly (= 202409062026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409072026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (generic IPC)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -113,7 +113,7 @@
 
 Package: osmo-trx-ms-blade
 Architecture: any
-Depends: osmocom-nightly (= 202409062026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409072026), ${shlibs:Depends}, ${misc:Depends}
 Description: MS side transceiver (bladeRF)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -134,7 +134,7 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202409062026), ${misc:Depends}
+Depends: osmocom-nightly (= 202409072026), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
  Various manuals: user manual, VTY reference manual and/or
  protocol/interface manuals.

## osmo-trx 1.7.0.202409082026

=== debian/changelog ===
osmo-trx (1.7.0.202409082026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 08 Sep 2024 20:27:11 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Homepage: https://projects.osmocom.org/projects/osmotrx
 
 Package: osmo-trx
-Depends: osmocom-nightly (= 202409072026), osmo-trx-uhd
+Depends: osmocom-nightly (= 202409082026), osmo-trx-uhd
 Architecture: all
 Description: Metapackage for osmo-trx-uhd
 
@@ -31,13 +31,13 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-nightly (= 202409072026), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202409082026), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for the osmo-trx-*
  Make debugging possible
 
 Package: osmo-trx-uhd
 Architecture: any
-Depends: osmocom-nightly (= 202409072026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409082026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (UHD)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -56,7 +56,7 @@
 
 Package: osmo-trx-usrp1
 Architecture: any
-Depends: osmocom-nightly (= 202409072026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409082026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (USRP1)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -75,7 +75,7 @@
 
 Package: osmo-trx-lms
 Architecture: any
-Depends: osmocom-nightly (= 202409072026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409082026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (LimeSuite)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -94,7 +94,7 @@
 
 Package: osmo-trx-ipc
 Architecture: any
-Depends: osmocom-nightly (= 202409072026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409082026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (generic IPC)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -113,7 +113,7 @@
 
 Package: osmo-trx-ms-blade
 Architecture: any
-Depends: osmocom-nightly (= 202409072026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409082026), ${shlibs:Depends}, ${misc:Depends}
 Description: MS side transceiver (bladeRF)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -134,7 +134,7 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202409072026), ${misc:Depends}
+Depends: osmocom-nightly (= 202409082026), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
  Various manuals: user manual, VTY reference manual and/or
  protocol/interface manuals.

## osmo-trx 1.7.0.202409092026

=== debian/changelog ===
osmo-trx (1.7.0.202409092026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 09 Sep 2024 20:27:15 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Homepage: https://projects.osmocom.org/projects/osmotrx
 
 Package: osmo-trx
-Depends: osmocom-nightly (= 202409082026), osmo-trx-uhd
+Depends: osmocom-nightly (= 202409092026), osmo-trx-uhd
 Architecture: all
 Description: Metapackage for osmo-trx-uhd
 
@@ -31,13 +31,13 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-nightly (= 202409082026), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202409092026), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for the osmo-trx-*
  Make debugging possible
 
 Package: osmo-trx-uhd
 Architecture: any
-Depends: osmocom-nightly (= 202409082026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409092026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (UHD)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -56,7 +56,7 @@
 
 Package: osmo-trx-usrp1
 Architecture: any
-Depends: osmocom-nightly (= 202409082026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409092026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (USRP1)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -75,7 +75,7 @@
 
 Package: osmo-trx-lms
 Architecture: any
-Depends: osmocom-nightly (= 202409082026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409092026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (LimeSuite)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -94,7 +94,7 @@
 
 Package: osmo-trx-ipc
 Architecture: any
-Depends: osmocom-nightly (= 202409082026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409092026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (generic IPC)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -113,7 +113,7 @@
 
 Package: osmo-trx-ms-blade
 Architecture: any
-Depends: osmocom-nightly (= 202409082026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409092026), ${shlibs:Depends}, ${misc:Depends}
 Description: MS side transceiver (bladeRF)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -134,7 +134,7 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202409082026), ${misc:Depends}
+Depends: osmocom-nightly (= 202409092026), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
  Various manuals: user manual, VTY reference manual and/or
  protocol/interface manuals.

## osmo-trx 1.7.0.202409102026

=== debian/changelog ===
osmo-trx (1.7.0.202409102026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 10 Sep 2024 20:27:14 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Homepage: https://projects.osmocom.org/projects/osmotrx
 
 Package: osmo-trx
-Depends: osmocom-nightly (= 202409092026), osmo-trx-uhd
+Depends: osmocom-nightly (= 202409102026), osmo-trx-uhd
 Architecture: all
 Description: Metapackage for osmo-trx-uhd
 
@@ -31,13 +31,13 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-nightly (= 202409092026), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202409102026), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for the osmo-trx-*
  Make debugging possible
 
 Package: osmo-trx-uhd
 Architecture: any
-Depends: osmocom-nightly (= 202409092026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409102026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (UHD)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -56,7 +56,7 @@
 
 Package: osmo-trx-usrp1
 Architecture: any
-Depends: osmocom-nightly (= 202409092026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409102026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (USRP1)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -75,7 +75,7 @@
 
 Package: osmo-trx-lms
 Architecture: any
-Depends: osmocom-nightly (= 202409092026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409102026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (LimeSuite)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -94,7 +94,7 @@
 
 Package: osmo-trx-ipc
 Architecture: any
-Depends: osmocom-nightly (= 202409092026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409102026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (generic IPC)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -113,7 +113,7 @@
 
 Package: osmo-trx-ms-blade
 Architecture: any
-Depends: osmocom-nightly (= 202409092026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409102026), ${shlibs:Depends}, ${misc:Depends}
 Description: MS side transceiver (bladeRF)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -134,7 +134,7 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202409092026), ${misc:Depends}
+Depends: osmocom-nightly (= 202409102026), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
  Various manuals: user manual, VTY reference manual and/or
  protocol/interface manuals.

## osmo-trx 1.7.0.202409112026

=== debian/changelog ===
osmo-trx (1.7.0.202409112026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 11 Sep 2024 20:27:13 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Homepage: https://projects.osmocom.org/projects/osmotrx
 
 Package: osmo-trx
-Depends: osmocom-nightly (= 202409102026), osmo-trx-uhd
+Depends: osmocom-nightly (= 202409112026), osmo-trx-uhd
 Architecture: all
 Description: Metapackage for osmo-trx-uhd
 
@@ -31,13 +31,13 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-nightly (= 202409102026), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202409112026), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for the osmo-trx-*
  Make debugging possible
 
 Package: osmo-trx-uhd
 Architecture: any
-Depends: osmocom-nightly (= 202409102026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409112026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (UHD)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -56,7 +56,7 @@
 
 Package: osmo-trx-usrp1
 Architecture: any
-Depends: osmocom-nightly (= 202409102026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409112026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (USRP1)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -75,7 +75,7 @@
 
 Package: osmo-trx-lms
 Architecture: any
-Depends: osmocom-nightly (= 202409102026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409112026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (LimeSuite)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -94,7 +94,7 @@
 
 Package: osmo-trx-ipc
 Architecture: any
-Depends: osmocom-nightly (= 202409102026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409112026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (generic IPC)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -113,7 +113,7 @@
 
 Package: osmo-trx-ms-blade
 Architecture: any
-Depends: osmocom-nightly (= 202409102026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202409112026), ${shlibs:Depends}, ${misc:Depends}
 Description: MS side transceiver (bladeRF)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -134,7 +134,7 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202409102026), ${misc:Depends}
+Depends: osmocom-nightly (= 202409112026), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
  Various manuals: user manual, VTY reference manual and/or
  protocol/interface manuals.

## osmo-trx 1.7.1

=== osmocom-bb/src/target_dsp/calypso/Makefile ===
all: dsp_dump.bin

CROSS=tic54x-coff-

%.o: %.S
	$(CROSS)as $< -o $@

%.bin: %.coff
	$(CROSS)objcopy -j .text -O binary $< $@

dsp_dump.coff: bl_stage3.o dsp_dump.lds
	$(CROSS)ld --script dsp_dump.lds bl_stage3.o -o $@

clean:
	rm -f *.o *.bin *.coff

=== osmocom-bb/src/target/firmware/calypso/Makefile ===

LIBRARIES+=calypso
LIB_calypso_DIR=calypso
LIB_calypso_SRCS=arm.c buzzer.c clock.c dma.c dsp.c du.c i2c.c irq.c rtc.c sim.c spi.c tpu.c tsp.c keypad.c misc.c timer.c backlight.c uart.c uwire.c

=== osmocom-bb/src/target/firmware/lib/Makefile ===

LIBRARIES+=mini
LIB_mini_DIR=lib
LIB_mini_SRCS=vsprintf.c string.c ctype.c printf.c console.c ctors.c \
		changebit.S clearbit.S delay.c div64.S lib1funcs.S memcpy.S \
		memset.S setbit.S testchangebit.S testclearbit.S testsetbit.S \
		memcmp.S index.c strcmp.c

=== osmocom-bb/src/target/firmware/tiffs/Makefile ===

LIBRARIES+=tiffs
LIB_tiffs_DIR=tiffs
LIB_tiffs_SRCS=globals.c init.c readfile.c

=== debian/changelog ===
osmo-trx (1.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 11 Mar 2025 18:52:13 +0100

=== debian/control ===
Source: osmo-trx
Section: utils
Priority: optional
Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
	, Thorsten Alteholz <debian@alteholz.de>
	, Nate Doris <nate.doris@gmail.com>
Build-Depends: debhelper-compat (= 13),
               pkgconf,
               libuhd-dev,
               libusb-1.0-0-dev,
               libboost-dev,
               libboost-system-dev,
               libosmocore-dev (>= 1.9.2),
               libfftw3-dev,
               liblimesuite-dev,
               libmnl-dev,
               help2man
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-trx
Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-trx.git
Homepage: http://openbsc.osmocom.org/trac/wiki/OsmoTRX
Rules-Requires-Root: no

Package: osmo-trx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: osmo-bts
Description: SDR transceiver that implements Layer 1 of a GSM BTS
 OsmoTRX is a software-defined radio transceiver that implements the Layer 1
 physical layer of a BTS comprising the following 3GPP specifications:
 .
 TS 05.01 "Physical layer on the radio path"
 TS 05.02 "Multiplexing and Multiple Access on the Radio Path"
 TS 05.04 "Modulation"
 TS 05.10 "Radio subsystem synchronization"
 .
 In this context, BTS is "Base transceiver station". It's the stations that
 connect mobile phones to the mobile network.
 .
 3GPP is the "3rd Generation Partnership Project" which is the collaboration
 between different telecommunication associations for developing new
 generations of mobile phone networks. (post-2G/GSM)

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

CHANGELOG_DATE ?= $(shell LC_ALL=C date -u -d @$(SOURCE_DATE_EPOCH) +"%d %B %Y")

#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf


override_dh_auto_clean:
	dh_auto_clean
	$(RM) tests/testsuite tests/package.m4 tests/testsuite.log .tarball-version tests/testsuite.dir/at-job-fifo
	$(RM) CommonLibs/Makefile
	$(RM) GSM/Makefile
	$(RM) Makefile
	$(RM) Transceiver52M/Makefile
	$(RM) Transceiver52M/arch/Makefile
	$(RM) Transceiver52M/arch/arm/Makefile
	$(RM) Transceiver52M/arch/common/Makefile
	$(RM) Transceiver52M/arch/x86/Makefile
	$(RM) Transceiver52M/device/Makefile
	$(RM) Transceiver52M/device/bladerf/Makefile
	$(RM) Transceiver52M/device/common/Makefile
	$(RM) Transceiver52M/device/ipc/Makefile
	$(RM) Transceiver52M/device/lms/Makefile
	$(RM) Transceiver52M/device/uhd/Makefile
	$(RM) Transceiver52M/device/usrp1/Makefile
	$(RM) Transceiver52M/grgsm_vitac/.dirstamp
	$(RM) config.h
	$(RM) config.log
	$(RM) config.status
	$(RM) contrib/Makefile
	$(RM) contrib/osmo-trx.spec
	$(RM) contrib/systemd/Makefile
	$(RM) doc/Makefile
	$(RM) doc/examples/Makefile
	$(RM) doc/manuals/Makefile
	$(RM) libtool
	$(RM) stamp-h1
	$(RM) tests/CommonLibs/Makefile
	$(RM) tests/Makefile
	$(RM) tests/Transceiver52M/Makefile
	$(RM) tests/atconfig
	$(RM) utils/Makefile

override_dh_autoreconf:
	echo $(DEB_VERSION_UPSTREAM) > .tarball-version
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --with-lms

override_dh_auto_test:
	dh_auto_test
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	./debian/autotest/autotest
endif

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

=== debian/tests/control ===
Tests: main
Depends: @

=== debian/watch ===
#version=3
#opts=dversionmangle=s/\+dfsg// \
#https://github.com/osmocom/osmo-trx/releases /osmocom/osmo-trx/archive/\w+-(\d\S+)\.tar\.(?:bz2|gz|xz)
version=4
opts="mode=git, dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//, repacksuffix=+ds" git://git.osmocom.org/osmo-trx refs/tags/([\d\.]+) debian uupdate
